result-meta {RMariaDB} | R Documentation

## Database interface meta-data.

### Description

See documentation of generics for more details.

### Usage

    ## S4 method for signature 'MariaDBResult'
    dbColumnInfo(res, ...)

    ## S4 method for signature 'MariaDBResult'
    dbGetRowsAffected(res, ...)

    ## S4 method for signature 'MariaDBResult'
    dbGetRowCount(res, ...)

    ## S4 method for signature 'MariaDBResult'
    dbHasCompleted(res, ...)

### Arguments

`res` | An object of class MariaDBResult
`...` | Ignored. Needed for compatibility with generic

### Examples

    if (mariadbHasDefault()) {
    con <- dbConnect(RMariaDB::MariaDB(), dbname = "test")
    dbWriteTable(con, "t1", datasets::USArrests, temporary = TRUE)

    rs <- dbSendQuery(con, "SELECT * FROM t1 WHERE UrbanPop >= 80")
    rs

    dbGetStatement(rs)
    dbHasCompleted(rs)
    dbColumnInfo(rs)

    dbFetch(rs)
    rs

    dbClearResult(rs)
    dbDisconnect(con)
    }

[Package RMariaDB version 1.0.6 Index]